<?php

namespace Drupal\pagedesigner_duplication\Service;

use Drupal\Core\Entity\ContentEntityBase;
use Drupal\pagedesigner\PagedesignerService;

/**
 *
 */
class DuplicationService extends PagedesignerService {

  /**
   * Clone the element tree.
   *
   * Clone the elements from on entity to another entity.
   * Only matching pagedesigner fields are taken into account.
   *
   * @param \Drupal\Core\Entity\ContentEntityBase $source
   *   The source entity.
   * @param \Drupal\Core\Entity\ContentEntityBase $target
   *   The target entity.
   */
  public function duplicate(ContentEntityBase $source, ContentEntityBase $target) {
    $sourceFields = $this->getPagedesignerFields($source);
    $targetFields = $this->getPagedesignerFields($target);
    foreach ($sourceFields as $field) {
      if (!empty($targetFields[$field->getName()])) {
        $sourceContainer = $this->getContainer($source, $field->getName());
        $targetContainer = $this->getContainer($target, $field->getName());

        foreach ($sourceContainer->children as $item) {
          $clone = \Drupal::service('pagedesigner.service.statechanger')->copy($item->entity, $targetContainer)->getOutput();
          $clone->parent->entity = $targetContainer;
          $clone->langcode->value = $target->langcode->value;
          $clone->save();
          $targetContainer->children->appendItem($clone);
        }
        $targetContainer->save();
      }
    }
  }

}
