
// before init
(function ($, Drupal) {

  function init(editor) {

    // lock components for editing etc.
    editor.DomComponents.getTypes().forEach(function (componentType) {
      if (componentType.id == 'row' || componentType.id == 'component') {
        editor.DomComponents.addType(componentType.id, {
          model: componentType.model.extend(
            {
              initToolbar(...args) {
                componentType.model.__super__.initToolbar.apply(this, args);
                var tb = this.get('toolbar');
                if (tb) {
                  tb.push({
                    attributes: {
                      class: `fas fa-cube`,
                      title: Drupal.t('Store as layout component'),
                    },
                    command: 'open-modal-create-layout'
                  });
                  this.set('toolbar', tb);
                }
              },
            }
          ),
          view: componentType.view
        });
      }
    });
  }

  Drupal.behaviors.pagedesigner_layouts_before_init = {
    attach: function (context, settings) {
      $(document).on('pagedesigner-init-components', function (e, editor) {
        init(editor);
      });
    }
  };

})(jQuery, Drupal);
