<?php

namespace Drupal\pagedesigner\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 *
 */
class PagedesignerSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'pagedesigner.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'pagedesigner_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    parent::buildForm($form, $form_state);
    $config = $this->config('pagedesigner.settings');

    $form['help_content'] = [
      '#type' => 'text_format',
      '#title' => t('Pagedesigner Help'),
      '#format' => (!empty($config->get('help_content')['format'])) ? $config->get('help_content')['format'] : 'full_html',
      '#default_value' => $config->get('help_content')['value'],
      '#base_type' => 'textarea',
    ];

    return parent::buildForm($form, $form_state);

  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {

  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $config = $this->config('pagedesigner.settings');
    $config->set('help_content', $form_state->getValue('help_content'));
    $config->save();
  }

}
