<?php

namespace Drupal\pagedesigner\Plugin\pagedesigner\Handler;

use Drupal\editor\Entity\Editor;
use Drupal\pagedesigner\Entity\Element;

/**
 * Process entities of type "html".
 *
 * @PagedesignerHandler(
 *   id = "html",
 *   name = @Translation("Html renderer"),
 *   types = {
 *     "html"
 *   },
 * )
 */
class Html extends Content {

  /**
   * {@inheritdoc}
   */
  public function get(Element $entity, string &$result = '') {
    $editor = Editor::load('pagedesigner');
    if ($editor == NULL) {
      $editor = Editor::load('plain_text');
    }
    $formatId = $editor->getFilterFormat()->id();
    $build = [
      '#type' => 'processed_text',
      '#text' => $entity->field_content->value,
      '#format' => $formatId,
      '#filter_types_to_skip' => [],
      '#langcode' => $entity->langcode->value,
    ];
    $result .= \Drupal::service('renderer')
      ->renderPlain($build);
  }

}
