<?php

namespace Drupal\Tests\pagedesigner\Kernel\PatternTests;

use Drupal\editor\Entity\Editor;
use Drupal\filter\Entity\FilterFormat;

/**
 * Test the core handlers with a predefined, virtual pattern.
 *
 * Tests generation, describing and serializing and deletion functions of the involved handlers.
 *
 * @group pagedesigner
 */
class ComponentPatternTest extends PatternTestBase {
  /**
   * The pattern ids.
   *
   * @var string
   */
  protected $patternIds = ['component_test'];

  /**
   * {@inheritdoc}
   */
  public function setUp() {
    self::$modules[] = 'system';
    self::$modules[] = 'editor';
    self::$modules[] = 'filter';
    self::$modules[] = 'ckeditor';
    parent::setUp();
    $this->installConfig(['system']);
    $this->installConfig(['editor']);
    $this->installConfig(['filter']);
    $this->installConfig(['ckeditor']);
    // FilterFormat::create([
    //   'format' => 'plain_text',
    //   'name' => 'Plain Text',
    //   'weight' => 0,
    //   'filters' => [],
    // ])->save();
    $editor = Editor::create([
      'id' => 'plain_text',
      'format' => 'plain_text',
      'editor' => 'ckeditor',
    ]);
    $editor->save();
  }

}
